stages:
  - test
  - build

tests:
  image: python:3.9
  stage: test
  before_script:
    - apt update -y
    - apt install make -y
  script:
    - make test

build-oci:
  stage: build
  needs:
    - tests
  only:
    - main
  image: docker.io/sgt911/gitlab-buildah:latest
  script:
    - login.sh -u $DOCKER_USER -p "$DOCKER_PASSWORD" docker.io
    - build-repo.sh commit
    - retag-latest.sh commit
    - push-repo.sh commit
    - push-repo.sh latest
